using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace InteractiveKiosk
{
    /// <summary>
    /// Interaction logic for Attractions.xaml
    /// </summary>
    public partial class Attractions : Window
    {
        InteractiveKioskEntities db = new InteractiveKioskEntities();
        public Attractions()
        {
            
            InitializeComponent();
            string NameAt = "Камикадзе";
            var SelectedAt = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAt);
            DescriptionKamikadze.Text = SelectedAt.DescriptionOfTheAttraction;
            string NameAtt = "Камикадзе";
            var SelectedAtt = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAtt);
            LimitKamikadze.Text = SelectedAtt.AgeLimit;

            string NameAttr = "Хип-Хоп";
            var SelectedAttr = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAttr);
            DescriptionHipHop.Text = SelectedAttr.DescriptionOfTheAttraction;
            string NameAttra = "Хип-Хоп";
            var SelectedAttra = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAttra);
            LimitHipHop.Text = SelectedAttra.AgeLimit;

            string NameAttrac = "НЛО";
            var SelectedAttrac = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAttrac);
            DescriptionNlo.Text = SelectedAttrac.DescriptionOfTheAttraction;
            string NameAttract = "НЛО";
            var SelectedAttract = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAttract);
            LimitNlo.Text = SelectedAttract.AgeLimit;

            string NameAttracti = "Фараон";
            var SelectedAttracti = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAttracti);
            DescriptionFaraon.Text = SelectedAttracti.DescriptionOfTheAttraction;
            string NameAttraction = "Фараон";
            var SelectedAttraction = db.Attractions.SingleOrDefault(a => a.AttractionName == NameAttraction);
            LimitFaraon.Text = SelectedAttraction.AgeLimit;

        }

        private void Kamikadze_MouseDown(object sender, MouseButtonEventArgs e)
        {

        }

        private void Hiphop_MouseDown(object sender, MouseButtonEventArgs e)
        {

        }

        private void Nlo_MouseDown(object sender, MouseButtonEventArgs e)
        {

        }

        private void Faraon_MouseDown(object sender, MouseButtonEventArgs e)
        {

        }

        private void MinButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.WindowState = WindowState.Minimized;
        }

        private void ExitButton_MouseDown(object sender, MouseButtonEventArgs e)
        {
            this.Close();
        }
    }
}
